List workspaces
curl --request GET \
--url https://api.poelis.com/v1/public/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 2,
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Aerospace Engineering",
"readable_id": "aerospace-engineering"
},
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Automotive Design",
"readable_id": "automotive-design"
}
]
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Workspaces
List workspaces
Retrieve a paginated list of all workspaces.
Overview
This endpoint returns workspaces within your organization. Workspaces are the top-level organizational unit that contains products, items, and properties.
GET
/
v1
/
public
/
workspaces
List workspaces
curl --request GET \
--url https://api.poelis.com/v1/public/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 2,
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Aerospace Engineering",
"readable_id": "aerospace-engineering"
},
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Automotive Design",
"readable_id": "automotive-design"
}
]
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Authorizations
Enter your API key. Example: Bearer poelis_api_...
Query Parameters
Maximum number of items to return per page. Must be between 1 and 200.
Required range:
1 <= x <= 200Number of items to skip from the beginning of the result set. Used for pagination.
Required range:
x >= 0